function gX = ardKernDiagGradX(kern, X)

% ARDKERNDIAGGRADX Gradient of ARD kernel's diagonal with respect to X.
%
% gX = ardKernDiagGradX(kern, X)
%

% Copyright (c) 2006 Neil D. Lawrence and Nathaniel J. King
% ardKernDiagGradX.m version 1.3



gX = 2*kern.linearVariance*X.*repmat(kern.inputScales, [size(X, 1) 1]);

