function kern = mlpardKernExpandParam(kern, params)

% MLPARDKERNEXPANDPARAM Create kernel structure from multi-layer perceptron ARD's parameters.
%
% kern = mlpardKernExpandParam(kern, params)
%

% Copyright (c) 2006 Neil D. Lawrence and Nathaniel J. King
% mlpardKernExpandParam.m version 1.3



kern.weightVariance = params(1);
kern.biasVariance = params(2);
kern.variance = params(3);
kern.inputScales = params(4:end);
