function kern = tensorKernSlash(kern, index)

% TENSORKERNSLASH Tensor kernel created by removing ith component.
%
% kern = tensorKernSlash(kern, index)
%

% Copyright (c) 2006 Neil D. Lawrence and Nathaniel J. King
% tensorKernSlash.m version 1.1



kern.nParams = kern.nParams - kern.comp{index}.nParams;
kern.comp = kern.comp([1:index-1 index+1:end]);
